=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2011-03-15 10:28:20 +0000
+++ bzrlib/builtins.py	2011-04-01 08:00:04 +0000
@@ -2788,7 +2788,7 @@
             bzr ignore "RE:(?!debian/).*"
         
         Ignore everything except the "local" toplevel directory,
-        but always ignore "*~" autosave files, even under local/::
+        but always ignore autosave files ending in ~, even under local/::
         
             bzr ignore "*"
             bzr ignore "!./local"
@@ -3106,32 +3106,7 @@
       to trigger updates to external systems like bug trackers. The --fixes
       option can be used to record the association between a revision and
       one or more bugs. See ``bzr help bugs`` for details.
-
-      A selective commit may fail in some cases where the committed
-      tree would be invalid. Consider::
-  
-        bzr init foo
-        mkdir foo/bar
-        bzr add foo/bar
-        bzr commit foo -m "committing foo"
-        bzr mv foo/bar foo/baz
-        mkdir foo/bar
-        bzr add foo/bar
-        bzr commit foo/bar -m "committing bar but not baz"
-  
-      In the example above, the last commit will fail by design. This gives
-      the user the opportunity to decide whether they want to commit the
-      rename at the same time, separately first, or not at all. (As a general
-      rule, when in doubt, Bazaar has a policy of Doing the Safe Thing.)
     """
-    # TODO: Run hooks on tree to-be-committed, and after commit.
-
-    # TODO: Strict commit that fails if there are deleted files.
-    #       (what does "deleted files" mean ??)
-
-    # TODO: Give better message for -s, --summary, used by tla people
-
-    # XXX: verbose currently does nothing
 
     _see_also = ['add', 'bugs', 'hooks', 'uncommit']
     takes_args = ['selected*']
@@ -3213,12 +3188,6 @@
                 raise errors.BzrCommandError(
                     "Could not parse --commit-time: " + str(e))
 
-        # TODO: Need a blackbox test for invoking the external editor; may be
-        # slightly problematic to run this cross-platform.
-
-        # TODO: do more checks that the commit will succeed before
-        # spending the user's valuable time typing a commit message.
-
         properties = {}
 
         tree, selected_list = WorkingTree.open_containing_paths(selected_list)

=== modified file 'bzrlib/help_topics/en/conflict-types.txt'
--- bzrlib/help_topics/en/conflict-types.txt	2010-11-24 16:28:11 +0000
+++ bzrlib/help_topics/en/conflict-types.txt	2011-04-01 06:58:37 +0000
@@ -28,11 +28,11 @@
 
 Whatever the conflict is, resolving it is roughly done in two steps:
 
-- modify the working tree content so that the conflicted item is now in the
-  state you want to keep,
+1. Modify the working tree content so that the conflicted item is now in the
+   state you want to keep, then
 
-- inform Bazaar that the conflict is now solved and ask to cleanup any
-  remaining generated information (``bzr resolve <item>``).
+2. Inform Bazaar that the conflict is now solved and ask to cleanup any
+   remaining generated information (``bzr resolve <item>``).
 
 For most conflict types, there are some obvious ways to modify the working
 tree and put it into the desired state. For some types of conflicts, Bazaar

=== modified file 'doc/en/mini-tutorial/index.txt'
--- doc/en/mini-tutorial/index.txt	2010-11-12 22:36:19 +0000
+++ doc/en/mini-tutorial/index.txt	2011-04-06 07:00:12 +0000
@@ -140,39 +140,12 @@
     Initial import
 
 
-Publishing your branch with SFTP
-================================
-
-There are a couple of ways to publish your branch. If you already have
-an SFTP server or are comfortable setting one up, you can publish your
-branch to it.
-
-Otherwise, skip to the next section to publish with Launchpad_, a free
-hosting service for Bazaar.
-
-.. _Launchpad: https://launchpad.net/
-
-Let's assume you want to publish your branch at ``www.example.com/myproject``::
-
- $ bzr push --create-prefix sftp://your.name@example.com/~/public_html/myproject
- 2 revision(s) pushed.
-
-Bazaar will create a ``myproject`` directory on the remote server and
-push your branch to it.
-
-Now anyone can create their own copy of your branch by typing::
-
- $ bzr branch http://www.example.com/myproject
-
-**Note**: to use SFTP, you may need to install ``paramiko`` and
-``pyCrypto``. See http://wiki.bazaar.canonical.com/InstallationFaq for details.
-
-
-Publishing your branch with Launchpad
-=====================================
-
-Launchpad is a suite of development and hosting tools for free
-software projects. You can use it to publish your branch.
+Publishing your branch on Launchpad
+===================================
+
+Launchpad is a suite of development and hosting tools for
+software projects. You can use it to publish your branch.  (You can 
+also publish branches onto your own server or other hosting services.)
 
 If you don't have a Launchpad account, follow the `account signup guide`_
 and `register an SSH key`_ in your new Launchpad account.
@@ -197,6 +170,8 @@
 history, at https://code.launchpad.net/people/+me/+junk/myproject
 
 
+
+
 Creating your own copy of another branch
 ========================================
 

=== modified file 'doc/en/user-guide/publishing_a_branch.txt'
--- doc/en/user-guide/publishing_a_branch.txt	2009-12-02 11:03:35 +0000
+++ doc/en/user-guide/publishing_a_branch.txt	2011-04-01 05:54:24 +0000
@@ -1,3 +1,5 @@
+.. _publishing_a_branch:
+
 Publishing a branch
 ===================
 

